//
//  BandsDetailViewController.m
//  Jive Factory
//
//  Created by n on 10/17/13.
//  Copyright (c) 2013 Noble Desktop. All rights reserved.
//

#import "BandsDetailViewController.h"

@interface BandsDetailViewController ()

@end

@implementation BandsDetailViewController
@synthesize currentBandDetail;
@synthesize bandNameLabel, bandTypeLabel, venueLabel, showDateLabel, showTimeLabel, bandDetailsLabel, bandDescriptionLabel, bandImage;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    bandNameLabel.text = currentBandDetail.bandName;
    bandTypeLabel.text = currentBandDetail.bandType;
    venueLabel.text = currentBandDetail.venue;
    showDateLabel.text = currentBandDetail.nextShowDate;
    showTimeLabel.text = currentBandDetail.nextShowTime;
    bandDetailsLabel.text = currentBandDetail.showDetails;
    bandDescriptionLabel.text = currentBandDetail.bandDescription;
    bandImage.image = [UIImage imageNamed:currentBandDetail.fullImageName];
    
    [bandDescriptionLabel sizeToFit];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
